CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM (http://www.cfd-online.com/Forums/openfoam/)
-   -   PyFoam installation question (http://www.cfd-online.com/Forums/openfoam/103374-pyfoam-installation-question.html)

CaroVandame June 18, 2012 16:59

PyFoam installation question
 
Hi Foamers!

I have a little question regarding the installation of PyFoam on Ubuntu 11.10
I tried following the steps from the wiki:
- I downloaded the latest tar and did the untar in my home folder
- I went into the directory PyFoam-0.5.7
- I installed it with the command: python setup.py install.

It did not show any error message. However, when checking the installation, the command "print PyFoam.FoamInformation.foamTutorials()", it returns
/opt/openfoam211/tutorials

My knowledge in package installations is quite limited. One thing I know is that 3 versions of Python are installed in my Ubuntu distribution: 2.6, 2.7 and 3 and PyFoam doesn't work with Python3. However, "python -V" returns Python 2.7.2+, so it seems ok.

Any advice for a (almost complete) beginner?

Thanks so much
Caroline.

gschaider June 18, 2012 19:44

Quote:

Originally Posted by CaroVandame (Post 367088)
Hi Foamers!

I have a little question regarding the installation of PyFoam on Ubuntu 11.10
I tried following the steps from the wiki:
- I downloaded the latest tar and did the untar in my home folder
- I went into the directory PyFoam-0.5.7
- I installed it with the command: python setup.py install.

It did not show any error message. However, when checking the installation, the command "print PyFoam.FoamInformation.foamTutorials()", it returns
/opt/openfoam211/tutorials

My knowledge in package installations is quite limited. One thing I know is that 3 versions of Python are installed in my Ubuntu distribution: 2.6, 2.7 and 3 and PyFoam doesn't work with Python3. However, "python -V" returns Python 2.7.2+, so it seems ok.

Any advice for a (almost complete) beginner?

Thanks so much
Caroline.

Not quite sure what your problem is. The test you stated above should return the value of $FOAM_TUTORIALS and the value seems alright.

Have you tried pyFoamVersion.py (the utility)?

CaroVandame June 19, 2012 11:02

Sorry I just realized my post wasn't complete.
I'm not sure what happened, but it seems my computer didn't recognize any pyFoam utilities. I ran "python setup.py install" again, and now it works.
maybe there was an error message the first time around that I didn't see.

Thanks for being there and quick to help though!
Caroline


All times are GMT -4. The time now is 20:20.